Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.util
Class SortedLinkedList<E extends java.lang.Comparable<E>>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.AbstractSequentialList<E>
                  java.util.LinkedList<E>
                      rice.p2p.util.SortedLinkedList<E>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<E>, java.util.Collection<E>, java.util.Deque<E>, java.util.List<E>, java.util.Queue<E>

    public class SortedLinkedList<E extends java.lang.Comparable<E>>

extends java.util.LinkedList<E>

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`SortedLinkedList()`

Method Summary
`boolean` | `add(E o)`
`boolean` | `addAll(java.util.Collection<? extends E> c)`
`boolean` | `addAll(int index, java.util.Collection<? extends E> c)`
`void` | `addFirst(E o)`
`void` | `addLast(E o)`
`java.util.ListIterator<E>` | `listIterator(int index)`
`E` | `set(int index, E element)`

Methods inherited from class java.util.LinkedList
`add, clear, clone, contains, descendingIterator, element, get, getFirst, getLast, indexOf, lastIndexOf, offer, offerFirst, offerLast, peek, peekFirst, peekLast, poll, pollFirst, pollLast, pop, push, remove, remove, remove, removeFirst, removeFirstOccurrence, removeLast, removeLastOccurrence, size, toArray, toArray`

Methods inherited from class java.util.AbstractSequentialList
`iterator`

Methods inherited from class java.util.AbstractList
`equals, hashCode, listIterator, removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, isEmpty, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, isEmpty, iterator, listIterator, removeAll, retainAll, subList`

Methods inherited from interface java.util.Deque
`iterator`

Constructor Detail

### SortedLinkedList

    public SortedLinkedList()

Method Detail

### addAll

    public boolean addAll(java.util.Collection<? extends E> c)

  Specified by:
    `addAll` in interface `java.util.Collection<E extends java.lang.Comparable<E>>`
  Specified by:
    `addAll` in interface `java.util.List<E extends java.lang.Comparable<E>>`
  Overrides:
    `addAll` in class `java.util.LinkedList<E extends java.lang.Comparable<E>>`

### addAll

    public boolean addAll(int index,
                          java.util.Collection<? extends E> c)

  Specified by:
    `addAll` in interface `java.util.List<E extends java.lang.Comparable<E>>`
  Overrides:
    `addAll` in class `java.util.LinkedList<E extends java.lang.Comparable<E>>`

### addFirst

    public void addFirst(E o)

  Specified by:
    `addFirst` in interface `java.util.Deque<E extends java.lang.Comparable<E>>`
  Overrides:
    `addFirst` in class `java.util.LinkedList<E extends java.lang.Comparable<E>>`

### addLast

    public void addLast(E o)

  Specified by:
    `addLast` in interface `java.util.Deque<E extends java.lang.Comparable<E>>`
  Overrides:
    `addLast` in class `java.util.LinkedList<E extends java.lang.Comparable<E>>`

### listIterator

    public java.util.ListIterator<E> listIterator(int index)

  Specified by:
    `listIterator` in interface `java.util.List<E extends java.lang.Comparable<E>>`
  Overrides:
    `listIterator` in class `java.util.LinkedList<E extends java.lang.Comparable<E>>`

### set

    public E set(int index,
                 E element)

  Specified by:
    `set` in interface `java.util.List<E extends java.lang.Comparable<E>>`
  Overrides:
    `set` in class `java.util.LinkedList<E extends java.lang.Comparable<E>>`

### add

    public boolean add(E o)

  Specified by:
    `add` in interface `java.util.Collection<E extends java.lang.Comparable<E>>`
  Specified by:
    `add` in interface `java.util.Deque<E extends java.lang.Comparable<E>>`
  Specified by:
    `add` in interface `java.util.List<E extends java.lang.Comparable<E>>`
  Specified by:
    `add` in interface `java.util.Queue<E extends java.lang.Comparable<E>>`
  Overrides:
    `add` in class `java.util.LinkedList<E extends java.lang.Comparable<E>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.